# hey Emacs, its -*- rpm-spec -*-
# $Id: php-imap,v 1.11 2002/11/13 03:05:37 ab Exp $
###############################################################
# This SPEC file is a configurable skeleton for PHP modules
# which are distributed with PHP4 tarball.
# Copyright (c) 2001 Alexander Bokovoy <ab@avilink.net>
# This SPEC file is available under terms of GNU GPL license
# versions 2 or greater
###############################################################
#  <Configuration>
#_/---------------\____________________________________________
# Package should be added into mod_php and/or console php?
# Some modules can be used under both, others (like php_gtk
# or midgard) are not.
%define 	use_mod_php	1
%define		use_con_php	1
#
# Package name without php prefix
%define		package_name	imap
###############################################################
Name:	 	php-%package_name
Version:	4.3.0
Release:	alt0.cvs20030207
Group:		System/Servers
Requires:	pam
License:	PHP Licence
Prereq:		php-common >= 1:%version-%release
# Automatically added by buildreq on Tue Dec 31 2002
BuildRequires: glibc-devel-static, libpam-devel, libssl-devel
BuildRequires: php-devel >= 1:%version-%release, uw-imap-devel
Summary:	IMAP module for PHP4
%add_serial php-devel

Patch:	php-imap.patch

%description 
The php-%package_name package contains a dynamic shared object (DSO) for PHP4. The
php-%package_name module adds IMAP (Internet Message Access Protocol) support to
PHP4. IMAP is a protocol for retrieving and uploading e-mail messages on
mail servers. PHP is an HTML-embedded scripting language for use with
Apache.  If you need IMAP support for PHP4 applications, you will need to
install this package and PHP4.

%prep
%setup -T -c
cp -pr /usr/src/php-devel/extensions/%package_name/* .
%patch -p1

%build
phpize

BUILD_HAVE=`echo %package_name | tr '[:lower:]-' '[:upper:]_'`
CFLAGS="$RPM_OPT_FLAGS -fPIC -L%{_libdir}"
#" -DHAVE_${BUILD_HAVE}=1 -DCOMPILE_DL_${BUILD_HAVE}=1"; 
export CFLAGS  
autoconf
%configure --with-imap=/usr --with-kerberos=no --with-imap-ssl
# Following lines added here in order to fix static nature of IMAP library
# and also to work around broken PHP's build system
#find -type f|xargs grep -l "IMAP_SHARED_LIBADD" |\
#	xargs /usr/bin/subst 's|IMAP_SHARED_LIBADD *=.*$|IMAP_SHARED_LIBADD = libc\-client\.lo|'
#ln -s %_libdir/libc-client.a libc-client.lo 

%php_make

%install
%php_make install

%clean

%files
%{_libdir}/php/extensions/*

%post
%php_postin

%preun
%php_preun

%postun
%php_postun

%changelog
* Mon Feb 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt0.cvs20030207
- PHP 4.3.0-dev CVS-20030207
- Bugfixes
- Remove uw-imap dependence (closes #0002153)

* Wed Nov 13 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt5
- Fix permissions

* Sun Nov 10 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt4
- Rebuild with gcc 3.2.1
- Use macros from php-common to simplify spec file
- Enable SSL support

* Wed Mar 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt3
- Fixed:
    + sendmail detection in BTE forced to be unconditional (closes #0000751)

* Fri Mar 15 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt2
- Added:
    + Security audit patch from phpaudit.42-networks.com, 
      fixes multiple (theoretical) buffer overflows fixes
- post install script fixed

* Wed Feb 27 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt1
- PHP 4.1.2
- Spec cleanups

* Thu Sep 27 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt1
- PHP 4.0.6
- Bugfixes

* Tue Jun 05 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.3RC2
- Release candidate 2 for PHP 4.0.6

* Thu Apr 05 2001 Alexander Bokovoy <ab@avilink.net> 4.0.6-alt0.2RC1
- Fix for build environment rolled back due final fix in PHP4 itself

* Thu Apr 05 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC6-alt1
- ALTification
- Last release candidate for 4.0.5
- SPEC file changes:
    + Reference to PHP source removed, php-devel is used to acquire sources of module 
    + locale-specific info unset during installation
    + nosrc -> src because NoSource tag cannot be used without corresponding Source one

* Sat Mar 17 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl1
- First stable build

* Thu Mar 15 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.4
- Rebuild with fixed version of PHP4

* Sun Mar 11 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.3
- Fixed:
    + Build process for self-contained shared modules in PHP is generally broken,
      fixed by automatically adding -DHAVE_{MODULE}=1 -DCOMPILE_DL_{MODULE}=1 to
      configure

* Sat Mar 10 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.2
- More enhancements in SPEC file:
    + Automatically gather PHP version, so no need to synchronize
      spec file's Version: field when new version of PHP is installed

* Thu Mar 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.1
- Created new generalized spec file for nosrc.rpm for PHP modules
- Added ability to tune module installation for Console/Apache-based PHP
  Some modules cannot work in Web-server environment (php_gtk), some --
  in Console mode (midgard), some will be happy in both environments
  
